package com.plannaplan.responses.mappers;

import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;

import com.plannaplan.entities.Exchange;
import com.plannaplan.responses.models.ExchangeResponse;

public class ExchangeResponseMappers {
    public static final List<ExchangeResponse> mapToDefaultResponse(List<Exchange> exchanges) {
        return exchanges.stream().filter(Objects::nonNull).map(ExchangeResponse::new).collect(Collectors.toList());
    }
}
