package com.plannaplan.responses.models;

import com.plannaplan.entities.Exchange;

public class ExchangeResponse {
    private Long id;
    private GroupDefaultResponse ownedAssignment;
    private GroupDefaultResponse desiredGroup;

    public ExchangeResponse(Exchange exchange){
        this.id = exchange.getId();
        this.ownedAssignment = new GroupDefaultResponse(exchange.getOwnedAssignment().getGroup());
        this.desiredGroup = new GroupDefaultResponse(exchange.getDesiredAssignment());
    }

	public GroupDefaultResponse getDesiredGroup() {
		return desiredGroup;
	}
	public void setDesiredGroup(GroupDefaultResponse desiredGroup) {
		this.desiredGroup = desiredGroup;
	}
	public GroupDefaultResponse getOwnedAssignment() {
		return ownedAssignment;
	}
	public void setOwnedAssignment(GroupDefaultResponse ownedAssignment) {
		this.ownedAssignment = ownedAssignment;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}

    
}
